Package org.springframework.test.web.reactive.server

# Interface MockServerClientHttpResponse

All Superinterfaces:
  `org.springframework.http.client.reactive.ClientHttpResponse`, `org.springframework.http.HttpMessage`, `org.springframework.http.ReactiveHttpInputMessage`

public interface MockServerClientHttpResponse extends org.springframework.http.client.reactive.ClientHttpResponse
Simple `ClientHttpResponse` extension that also exposes a result object from the underlying mock server exchange for further assertions on the state of the server response after the request is performed.

Since:
  5.3
Author:
  Rossen Stoyanchev

## Method Summary

Modifier and Type
Method
Description
`Object`
`getServerResult()`
Return the result object with the server request and response.

### Methods inherited from interface org.springframework.http.client.reactive.ClientHttpResponse

`getCookies, getId, getRawStatusCode, getStatusCode`

### Methods inherited from interface org.springframework.http.HttpMessage

`getHeaders`

### Methods inherited from interface org.springframework.http.ReactiveHttpInputMessage

`getBody`

## Method Details

### getServerResult

Object getServerResult()
Return the result object with the server request and response.